package edu.buffalo.cse.cse462.dao;

/**
 * ConnectionInfo is a helper class that encapsulates connection information. It is used in the
 * creation of a DAOSession.
 * 
 */
public class ConnectionInfo {

  private String database;
  private String password;
  private String server;
  private String url;
  private String user;

  private ConnectionInfo(String server, String database, String user, String password) {

    this.server = server;
    this.database = database;
    this.user = user;
    this.password = password;
  }

  private ConnectionInfo(String url, String user, String password) {

    this.url = url;
    this.user = user;
    this.password = password;
  }

  public static ConnectionInfo Oracle(String url, String user, String password) {

    return new ConnectionInfo(url, user, password);
  }

  public static ConnectionInfo Postgres(String server, String database, String user, String password) {

    return new ConnectionInfo(server, database, user, password);
  }

  public String getDatabase() {

    return database;
  }

  public String getPassword() {

    return password;
  }

  public String getServer() {

    return server;
  }

  public String getUrl() {

    return url;
  }

  public String getUser() {

    return user;
  }
}