package edu.buffalo.cse.cse462.dao;

import edu.buffalo.cse.cse462.internal.dao.oracle.OracleDAOSession;

/**
 * DAOFactory is used to create DAOSession objects based on the specified back-end and connection
 * information.
 * 
 */
public class DAOFactory {

  public enum Backend {

    MySQL,
    Oracle,
    Postgres,
    XML
  }

  public static DAOSession getDAOSession(Backend backend, ConnectionInfo ci) throws DAOException {

    switch (backend) {
      case Oracle:
        return OracleDAOSession.create(ci);
      case Postgres:
//        return PostgresDAOSession.create(ci);
      case MySQL:
      case XML:
      default:
        throw new DAOException("The specified backend (%s) is not currently supported.",
            backend.toString());
    }
  }
}