package edu.buffalo.cse.cse462.dao;

/**
 * DAOSession provides basic functionality for transaction control and factory methods for creating
 * the DAO objects. Each DAO object is linked to the session that creates it.
 * 
 */
public interface DAOSession {

  public void abort() throws DAOException;

  public void close() throws DAOException;

  public void commit() throws DAOException;

  public CustomerDAO getCustomerDAO();

  public OrderDAO getOrderDAO();

  public OrderEntryDAO getOrderEntryDAO();

  public ProductDAO getProductDAO();
}