package edu.buffalo.cse.cse462.dao;

import java.util.Set;

import edu.buffalo.cse.cse462.model.Order;
import edu.buffalo.cse.cse462.model.OrderEntry;

/**
 * OrderEntryDAO is a GenericDAO for OrderEntry objects with OrderEntry.Key keys.
 * 
 */
public interface OrderEntryDAO extends GenericDAO<OrderEntry, OrderEntry.Key> {

  /**
   * Given an order, returns the set of all order entries of the order.
   */
  public Set<OrderEntry> findByOrder(Order order) throws DAOException;
}