package edu.buffalo.cse.cse462.model;

import java.sql.Date;
import java.util.Set;

/**
 * CREATE TABLE Orders (
 *   oid    INT NOT NULL PRIMARY KEY,
 *   cid    INT NOT NULL,
 *   placed Date NOT NULL,
 *   CONSTRAINT fkOrderCustomer FOREIGN KEY(cid) REFERENCES Customer(cid) 
 *     DEFERRABLE INITIALLY DEFERRED
 * );
 * 
 * @author Demian Lessa
 */
public interface Order {

  /**
   * Maps from cid.
   */
  public Integer getCid();

  /**
   * Maps from placed.
   */
  public Date getDatePlaced();

  /**
   * Maps from oid.
   */
  public Integer getOid();

  /**
   * Maps order entries based on the relationship (foreign key) with OrderEntry.
   */
  public Set<OrderEntry> getOrderEntries();
}