package edu.buffalo.cse.cse462.model;

/**
 * CREATE TABLE OrderEntry (
 *   oid  INT NOT NULL,
 *   sku  INT NOT NULL,
 *   qty  INT NOT NULL,
 *   CONSTRAINT pkOrderEntry PRIMARY KEY(oid, sku),
 *   CONSTRAINT fkOrderEntryOrder FOREIGN KEY(oid) REFERENCES Orders(oid) 
 *     DEFERRABLE INITIALLY DEFERRED,
 *   CONSTRAINT fkOrderEntryProduct FOREIGN KEY(sku) REFERENCES Product(sku) 
 *     DEFERRABLE INITIALLY DEFERRED
 * );
 * 
 * @author Demian Lessa
 */
public interface OrderEntry {

  public interface Key {
    
    public Integer getOid();

    public Integer getSKU();
  }

  /**
   * Maps from oid.
   */
  public Integer getOid();

  /**
   * Maps from qty.
   */
  public Integer getQuantity();

  /**
   * Maps from sku.
   */
  public Integer getSku();
}