package edu.buffalo.cse.cse462.model.impl;

import edu.buffalo.cse.cse462.model.OrderEntry;

/**
 * Implementation of the OrderEntry model object.
 * 
 * @author Demian Lessa
 */
public class OrderEntryImpl implements OrderEntry {

  public static class KeyImpl implements Key {

    private final Integer oid;
    private final Integer sku;

    public KeyImpl(Integer oid, Integer sku) {

      this.oid = oid;
      this.sku = sku;
    }

    @Override
    public Integer getOid() {

      return oid;
    }

    @Override
    public Integer getSKU() {

      return sku;
    }
  }

  private final Key key;
  private final Integer quantity;

  public OrderEntryImpl(OrderEntry.Key key, Integer quantity) {

    this.key = key;
    this.quantity = quantity;
  }

  @Override
  public Integer getOid() {

    return key.getOid();
  }

  @Override
  public Integer getQuantity() {

    return quantity;
  }

  @Override
  public Integer getSku() {

    return key.getSKU();
  }

  @Override
  public int hashCode() {

    int hash = 7;
    hash = hash * 31 + getOid().hashCode();
    hash = hash * 31 + getQuantity().hashCode();
    hash = hash * 31 + getSku().hashCode();
    return hash;
  }

  @Override
  public boolean equals(Object other) {

    // TODO: required implementation for CSE462 Project #1
    return false;
  }

  @Override
  public String toString() {

    // TODO: required implementation for CSE462 Project #1
    return null;
  }
}
