package edu.buffalo.cse.cse462.model.impl;

import java.sql.Date;
import java.util.HashSet;
import java.util.Set;

import edu.buffalo.cse.cse462.model.Order;
import edu.buffalo.cse.cse462.model.OrderEntry;

/**
 * Implementation of the Order model object.
 * 
 * @author Demian Lessa
 */
public class OrderImpl implements Order {

  private final Integer cid;
  private final Date datePlaced;
  private final Integer oid;
  private final Set<OrderEntry> entries;

  public OrderImpl(Integer cid, Date datePlaced, Integer oid) {

    this.oid = oid;
    this.cid = cid;
    this.datePlaced = datePlaced;
    this.entries = new HashSet<OrderEntry>();
  }

  @Override
  public Integer getOid() {

    return oid;
  }

  @Override
  public Integer getCid() {

    return cid;
  }

  @Override
  public Date getDatePlaced() {

    return datePlaced;
  }

  @Override
  public Set<OrderEntry> getOrderEntries() {

    return entries;
  }

  public void addOrderEntry(OrderEntry entry) {

    entries.add(entry);
  }

  public void removeOrderEntry(OrderEntry entry) {

    entries.remove(entry);
  }

  @Override
  public int hashCode() {

    int hash = 7;
    hash = hash * 31 + getCid().hashCode();
    hash = hash * 31 + getOid().hashCode();
    hash = hash * 31 + getDatePlaced().hashCode();
    return hash;
  }

  @Override
  public boolean equals(Object other) {

    // TODO: required implementation for CSE462 Project #1
    // TIP: remember to check that the corresponding sets of order entries are equal!
    return false;
  }

  @Override
  public String toString() {

    // TODO: required implementation for CSE462 Project #1
    // TIP: remember to print the associated order entries
    return null;
  }
}